dmmp_mpath_kdev_name_get(3)

NAME
dmmp_mpath_kdev_name_get - Retrieve kernel DEVNAME of certain mpath.

SYNOPSIS
const char * dmmp_mpath_kdev_name_get (struct dmmp_mpath *dmmp_mp);

ARGUMENTS

dmmp_mp
    Pointer of 'struct dmmp_mpath'. If this pointer is NULL, your program will be terminated by assert.

DESCRIPTION
Retrieve DEVNAME name used by kernel uevent of specified mpath. For example: 'dm-1'.

RETURN
const char *. No need to free this memory, the resources will get freed when dmmp_mpath_array_free.